cURL
curl --request GET \
--url https://api.patterns.company/v1/content/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.patterns.company/v1/content/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.patterns.company/v1/content/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"pattern": "<string>",
"user": "<string>",
"prospect": "<string>",
"template": "<string>",
"status": "waiting",
"language": "<string>",
"analytics": [
{
"id": "<string>",
"selector": "<string>",
"type": "view"
}
],
"content": [
{
"selector": "<string>",
"type": "text",
"payload": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"error": 123,
"message": "<string>"
}API Reference
Get content
Returns content based on the ID supplied
GET
/
content
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of content to look up
Response
Content response
ID of the content
Pattern you neet to pass into the page with a snippet
User who created the content
Prospect for whom the content is created
Template used for the content
Status of the content
Available options:
waiting, generating, completed Language of the content
Analytics of the content
Show child attributes
Show child attributes
Content of the content
Show child attributes
Show child attributes
Date and time when the content was created
Date and time when the content was last updated